Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# Region Class Reference
[Colorer interfaces]

## Detailed Description

HRC Region implementation.

Contains information about HRC Region and it attributes:

- name
- description
- parent

## Public Member Functions
virtual const String * | getName () const
| Full Qualified region name (`def:Text` for example).
virtual const String * | getDescription () const
| Region description.
virtual const Region * | getParent () const
| Direct region ancestor (parent).
virtual int | getID () const
| Quick access region id (incrementable).
bool | hasParent (const Region *region) const
| Checks if region has the specified parent in all of it's ancestors.
| Region (const String *_name, const String *_description, const Region *_parent, int _id)
| Basic constructor.
## Protected Attributes
String * | name
| Internal members.
String * | description
const Region * | parent
int | id

## Constructor & Destructor Documentation

Region::Region | ( | const String * | _name,
|  | const String * | _description,
|  | const Region * | _parent,
|  | int | _id
| ) | `[inline]`

| Basic constructor. Used only by HRCParser.

## Member Function Documentation

bool Region::hasParent | ( | const Region * | region | ) | const`[inline]`

| Checks if region has the specified parent in all of it's ancestors. This method is useful to check if region has specified parent, and use this information, as region type specification. For example, `def:Comment` has `def:Syntax` parent, so, some syntax checking can be made with it's content.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:14 2006 by doxygen 1.4.6.